# Class default

- Defined in src/field/pokemon-sprite-sparkle-handler.ts:5

#####
Index

### Constructors

constructor

### Properties

sprites

### Methods

add
onLapse
remove
removeAll
setup

## Constructors

### constructor

- new default(): default

- #### Returns default

## Properties

### `Private` sprites

sprites: Set<Sprite>

- Defined in src/field/pokemon-sprite-sparkle-handler.ts:6

## Methods

### add

- add(sprites): void

- #### Parameters

  - sprites: Sprite | Sprite[]

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:49

### onLapse

- onLapse(): void

- #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:21

### remove

- remove(sprites): void

- #### Parameters

  - sprites: Sprite | Sprite[]

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:61

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:70

### setup

- setup(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/field/pokemon-sprite-sparkle-handler.ts:8